Author

Topic: Wall Observer BTC/USD - Bitcoin price movement tracking & discussion - page 32561. (Read 26608500 times)

hero member
Activity: 686
Merit: 500
Ultranode

It comes at a high time/knowledge/discomfort price.  


Trust me, that's only because you learned Windows first.  When I use Windows, it always takes me 10x longer to accomplish any task than on my Linux box.

Why would I trust you when you are obviously lying/full of shit?
vip
Activity: 756
Merit: 503
OK. The ChartBuddy stuff should be back anytime an admin wants to re-enable him. Turns out he's draining my pockets kind of quickly so probably expect to see some changes shortly. Nothing that should affect most people but most likely older charts will not be available for long (Though I will still be archiving Gox data) and pre-scaled charts in the posts (good for everyone)
Why not use imgur for hosting?

Code:
#!/bin/bash

# imgur script by Bart Nagel
# version 4
# I release this into the public domain. Do with it what you will.

# Required: curl
#
# Optional: xsel or xclip for automatically putting the URLs on the X selection
# for easy pasting
#
# Instructions:
# Put it somewhere in your path and maybe rename it:
# mv ~/Downloads/imgurbash.sh ~/bin/imgur
# Make it executable:
# chmod +x ~/bin/imgur
# Optional, since Alan kindly provided an API key for this script: stick your
# API key in the top:
# vim ~/bin/imgur
# Upload an image:
# imgur images/hilarious/manfallingover.jpg
# Upload multiple images:
# imgur images/delicious/cake.png images/exciting/bungeejump.jpg
# The URLs will be displayed (and the delete page's URLs will be displayed on
# stderr). If you have xsel or xclip the URLs will also be put on the X
# selection, which you can usually paste with a middle click.

# API Key provided by [email protected]
apikey="b3625162d3418ac51a9ee805b1840452"

# function to output usage instructions
function usage {
echo "Usage: $(basename $0) [ [...]]" >&2
echo "Upload images to imgur and output their new URLs to stdout. Each one's" >&2
echo "delete page is output to stderr between the view URLs." >&2
echo "If xsel or xclip is available, the URLs are put on the X selection for" >&2
echo "easy pasting." >&2
}

# check API key has been entered
if [ "$apikey" = "Your API key" ]; then
echo "You first need to edit the script and put your API key in the variable near the top." >&2
exit 15
fi

# check arguments
if [ "$1" = "-h" -o "$1" = "--help" ]; then
usage
exit 0
elif [ $# == 0 ]; then
echo "No file specified" >&2
usage
exit 16
fi

# check curl is available
type curl >/dev/null 2>/dev/null || {
echo "Couln't find curl, which is required." >&2
exit 17
}

clip=""
errors=false

# loop through arguments
while [ $# -gt 0 ]; do
file="$1"
shift

# check file exists
if [ ! -f "$file" ]; then
echo "file '$file' doesn't exist, skipping" >&2
errors=true
continue
fi

# upload the image
response=$(curl -F "key=$apikey" -H "Expect: " -F "image=@$file" \
http://imgur.com/api/upload.xml 2>/dev/null)
# the "Expect: " header is to get around a problem when using this through
# the Squid proxy. Not sure if it's a Squid bug or what.
if [ $? -ne 0 ]; then
echo "Upload failed" >&2
errors=true
continue
elif [ $(echo $response | grep -c "") -gt 0 ]; then
echo "Error message from imgur:" >&2
echo $response | sed -r 's/.*(.*)<\/error_msg>.*/\1/' >&2
errors=true
continue
fi

# parse the response and output our stuff
url=$(echo $response | sed -r 's/.*(.*)<\/original_image>.*/\1/')
deleteurl=$(echo $response | sed -r 's/.*(.*)<\/delete_page>.*/\1/')
echo $url
echo "Delete page: $deleteurl" >&2

# append the URL to a string so we can put them all on the clipboard later
clip="$clip$url
"
done

# put the URLs on the clipboard if we have xsel or xclip
if [ $DISPLAY ]; then
{ type xsel >/dev/null 2>/dev/null && echo -n $clip | xsel; } \
|| { type xclip >/dev/null 2>/dev/null && echo -n $clip | xclip; } \
|| echo "Haven't copied to the clipboard: no xsel or xclip" >&2
else
echo "Haven't copied to the clipboard: no \$DISPLAY" >&2
fi

if $errors; then
exit 1
fi
legendary
Activity: 2576
Merit: 2267
1RichyTrEwPYjZSeAYxeiFBNnKC9UjC5k
OK. The ChartBuddy stuff should be back anytime an admin wants to re-enable him. Turns out he's draining my pockets kind of quickly so probably expect to see some changes shortly. Nothing that should affect most people but most likely older charts will not be available for long (Though I will still be archiving Gox data) and pre-scaled charts in the posts (good for everyone)
legendary
Activity: 1025
Merit: 1000
Erm....anyone noticed that btcguild has about 48% of the hashpower??

That's wrong. It is currently 33%, down from 40% a couple of months ago

http://blockorigin.pfoe.be/chart.php

33% is more like it. Blockchain.info states the total hashrate at 998Th/s and the front page of BTCGuild shows 353Th/s which is 35%
legendary
Activity: 2576
Merit: 2267
1RichyTrEwPYjZSeAYxeiFBNnKC9UjC5k
Hi guys. Sorry about ChartBuddy. I've been up in the hills of TN chasing around some real bears and trying to avoid techy stuff. Of course, this would naturally be the time that my hosting funds run out and my email fails, causing me to miss the notifications that my hosting funds have run out.

I'll put a few coins in the meter and then we should have some green & red goodness back online.

legendary
Activity: 1078
Merit: 1006
100 satoshis -> ISO code
Erm....anyone noticed that btcguild has about 48% of the hashpower??

That's wrong. It is currently 33%, down from 40% a couple of months ago

http://blockorigin.pfoe.be/chart.php
legendary
Activity: 1904
Merit: 1037
Trusted Bitcoiner
Erm....anyone noticed that btcguild has about 48% of the hashpower??

ya ok for today...

tomorrow someone else will get 48% hashing power

is hashing power every going to stop increasing at such an alarming rate? idk, i think 10 to 100X faster asics are just around the corner lol! i shouldn't of bought so many mining contracts  Tongue
legendary
Activity: 1652
Merit: 1029
Erm....anyone noticed that btcguild has about 48% of the hashpower??
legendary
Activity: 1904
Merit: 1002

It comes at a high time/knowledge/discomfort price.  


Trust me, that's only because you learned Windows first.  When I use Windows, it always takes me 10x longer to accomplish any task than on my Linux box.
sr. member
Activity: 294
Merit: 250
This bull will try to shake you off. Hold tight!


Some of us don't have MS Paint.  It requires you pay for your OS and give up your security and freedom.

I don't mind paying for something.

I feel less free on Linux or Apple.

Security is weaker on windows but to have the security linux offers is not for free. It comes at a high time/knowledge/discomfort price.  

legendary
Activity: 2492
Merit: 1491
LEALANA Bitcoin Grim Reaper
I say we are building another nice parabolic base. Target peak $400 to $500 by end of the year.
legendary
Activity: 1414
Merit: 1000
Mentioned by wonkytonky elsewhere.
Look what happened on Sept 4th, the last time they kissed.

Bid-Sum and Ask-Sum are on different Y-Axis, they cannot touch or cross each other, they live in totally different dimensions.

That's absolutely right.

Well, live and learn. I found the mention interesting.

You long these days?

Mostly, I dont like trading in this market because is too unpredictable. Volume is low and there is a scarcity of coins which IMO is artificially produced by Gox's problems. On the other side, the order book at Bitstamp, especially the bid side, is a joke.

I tried to arbitrage with a few k's and I failed miserably. 3 weeks waiting for Gox's fiat until I cancelled the withdrawal. Ill a wait a little to see if I can buy cheaper, and then I'm leaving Gox until they solve their liquidity problems.

I was waiting for good news. Smiley
hero member
Activity: 826
Merit: 508
Mostly, I dont like trading in this market because is too unpredictable.
This is my thinking, too.
sr. member
Activity: 378
Merit: 250
Born to chew bubble gum and kick ass
legendary
Activity: 1148
Merit: 1018
Mentioned by wonkytonky elsewhere.
Look what happened on Sept 4th, the last time they kissed.

Bid-Sum and Ask-Sum are on different Y-Axis, they cannot touch or cross each other, they live in totally different dimensions.

That's absolutely right.

Well, live and learn. I found the mention interesting.

You long these days?

Mostly, I dont like trading in this market because is too unpredictable. Volume is low and there is a scarcity of coins which IMO is artificially produced by Gox's problems. On the other side, the order book at Bitstamp, especially the bid side, is a joke.

I tried to arbitrage with a few k's and I failed miserably. 3 weeks waiting for Gox's fiat until I cancelled the withdrawal. Ill a wait a little to see if I can buy cheaper, and then I'm leaving Gox until they solve their liquidity problems.
legendary
Activity: 1442
Merit: 1000
Antifragile
Mentioned by wonkytonky elsewhere.
Look what happened on Sept 4th, the last time they kissed.

Bid-Sum and Ask-Sum are on different Y-Axis, they cannot touch or cross each other, they live in totally different dimensions.

That's absolutely right.

Well, live and learn. I found the mention interesting.

You long these days?
legendary
Activity: 1148
Merit: 1018
Mentioned by wonkytonky elsewhere.
Look what happened on Sept 4th, the last time they kissed.

Bid-Sum and Ask-Sum are on different Y-Axis, they cannot touch or cross each other, they live in totally different dimensions.

That's absolutely right.
sr. member
Activity: 353
Merit: 250
Mentioned by wonkytonky elsewhere.

Look what happened on Sept 4th, the last time they kissed. (Strong down move)

http://blockchained.com/depth_mtgox_15d.png

Sorry, but those Y-axis labels are arbitrary.  Bids and ask touching mean nothing.  See, the longer term chart shows something different:

Finally someone paying attention! These "auto-fit" charts are a stupid basis for analysis, especially for "crossings"
legendary
Activity: 1666
Merit: 1010
he who has the gold makes the rules
this thread becomes useless when you guys start posting fake charts whales breaching when there is zero volume etc.  Please go outside and enjoy life. things will get exciting again soon...

has sight of the white whale driven you to madness?
legendary
Activity: 1904
Merit: 1002
I will never understand why people use ms paint when there's gimp and inkscape.
I will never understand why people download some sh-t from internet when they have perfectly professional image editor MS Paint.

Some of us don't have MS Paint.  It requires you pay for your OS and give up your security and freedom.
Jump to: